docs

# RequestPollKeyboardButton

data class RequestPollKeyboardButton (val text: String , val requestPoll: KeyboardButtonPollType ) : KeyboardButton
Content copied to clipboard

Private chats only. When user will tap on this button, he will be asked for the poll with requestPoll options. You will be able to catch this poll in updates and data using dev.inmo.tgbotapi.extensions.behaviour_builder.triggers_handling.onPoll in case you are using Behaviour Builder OR with dev.inmo.tgbotapi.updateshandlers.FlowsUpdatesFilter.messagesFlow and kotlinx.coroutines.flow.filterIsInstance and filtering by type dev.inmo.tgbotapi.types.message.abstracts.CommonMessage and dev.inmo.tgbotapi.extensions.utils.onlyPollContentMessages

## Constructors

RequestPollKeyboardButton
Link copied to clipboard
fun RequestPollKeyboardButton (text: String , requestPoll: KeyboardButtonPollType )
Content copied to clipboard

## Properties

requestPoll
Link copied to clipboard
val requestPoll : KeyboardButtonPollType
Content copied to clipboard
text
Link copied to clipboard
open override val text : String
Content copied to clipboard